Show / Hide Table of Contents

# Struct FileDescriptor

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.File

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct FileDescriptor

### Fields

| Improve this Doc View Source

#### CurrentFileOffset

##### Declaration

    public ulong CurrentFileOffset

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### FileBuffer

##### Declaration

    public byte *FileBuffer

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### FileInterface

##### Declaration

    public void *FileInterface

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### FileLength

##### Declaration

    public ulong FileLength

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### FileMode

##### Declaration

    public FileMode FileMode

##### Field Value

Type | Description
--- | ---
FileMode |

| Improve this Doc View Source

#### Next

##### Declaration

    public FileDescriptor*Next

##### Field Value

Type | Description
--- | ---
FileDescriptor* |

| Improve this Doc View Source

#### Previous

##### Declaration

    public FileDescriptor*Previous

##### Field Value

Type | Description
--- | ---
FileDescriptor* |

| Improve this Doc View Source

#### Utf16FilePath

##### Declaration

    public byte *Utf16FilePath

##### Field Value

Type | Description
--- | ---
System.Byte* |